#!/bin/bash


# essentia-extractor-all-mp3-with-profile.sh import `pwd`/essentia.profile


find import -name "*.mp3" -print -exec ./AUDIO-TO-ESSENTIA-CSV-FEATURE-FILE.sh {} \;


if [ -f CSV-CHECK.txt ] ; then
    echo "**** Not runnign CSV field header check as CSV-CHECK.txt already exits"
    echo "**** If you want to trigger a check: "
    echo "****   rm CSV-CHECK.txt"
    echo "**** Then run again:"
    echo "****   $0"
else
    echo "**** Checking number of fields to CSV files"

    
    for f in import/[0-9]*.csv ; do
	echo "Checking: $f"
	wc_output=`head -n 1 $f | tr ',' '\n' | wc`
	echo "$wc_output $f" >> CSV-CHECK.txt
    done

fi
echo
echo "****"
echo "* 'wc' count of CSV headers output to: CSV-CHECK.txt"
echo "*  For example:"
echo "*    cat CSV-CHECK.txt | sort | less"
echo "****"
echo
